Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 205093002: Remove muting for extreme playbackRates. (Closed)

Created:
5 years, 2 months ago by sandersd (OOO until July 31)
Modified:
5 years, 2 months ago
CC:
chromium-reviews, feature-media-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Remove muting for extreme playbackRates. Audio was muted below 0.5x and above 4x as the quality degraded significantly under the crossfade algorithm. The quality is now much better under the WSLOA algorithm (r220343). BUG=289354 R=scherkus@chromium.org R=dalecurtis@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=258215

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rip out muted_. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -47 lines) Patch
M media/filters/audio_renderer_algorithm.h View 1 3 chunks +0 lines, -11 lines 0 comments Download
M media/filters/audio_renderer_algorithm.cc View 1 4 chunks +0 lines, -35 lines 0 comments Download
M media/filters/audio_renderer_algorithm_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 25 (0 generated)
sandersd (OOO until July 31)
5 years, 2 months ago (2014-03-19 19:35:52 UTC) #1
scherkus (not reviewing)
https://codereview.chromium.org/205093002/diff/1/media/filters/audio_renderer_algorithm.cc File media/filters/audio_renderer_algorithm.cc (left): https://codereview.chromium.org/205093002/diff/1/media/filters/audio_renderer_algorithm.cc#oldcode51 media/filters/audio_renderer_algorithm.cc:51: // Audio at these speeds would sound better under ...
5 years, 2 months ago (2014-03-19 19:44:27 UTC) #2
sandersd (OOO until July 31)
> dalecurtis: can we rip out all the |muted_| related code if we always intend ...
5 years, 2 months ago (2014-03-19 20:03:47 UTC) #3
DaleCurtis
You should manually evaluate new max and mins for speech, music content to see how ...
5 years, 2 months ago (2014-03-19 20:25:58 UTC) #4
scherkus (not reviewing)
On 2014/03/19 20:25:58, DaleCurtis wrote: > You should manually evaluate new max and mins for ...
5 years, 2 months ago (2014-03-19 20:38:29 UTC) #5
DaleCurtis
On 2014/03/19 20:38:29, scherkus wrote: > On 2014/03/19 20:25:58, DaleCurtis wrote: > > You should ...
5 years, 2 months ago (2014-03-19 21:14:33 UTC) #6
sandersd (OOO until July 31)
> You should manually evaluate new max and mins for speech, music content to see ...
5 years, 2 months ago (2014-03-19 21:41:24 UTC) #7
scherkus (not reviewing)
On 2014/03/19 21:41:24, Dan Sanders wrote: > > You should manually evaluate new max and ...
5 years, 2 months ago (2014-03-19 21:48:45 UTC) #8
scherkus (not reviewing)
On 2014/03/19 21:48:45, scherkus wrote: > On 2014/03/19 21:41:24, Dan Sanders wrote: > > > ...
5 years, 2 months ago (2014-03-19 21:52:17 UTC) #9
DaleCurtis
lgtm Sounds fine to me, lets just remove!
5 years, 2 months ago (2014-03-19 22:25:49 UTC) #10
sandersd (OOO until July 31)
The CQ bit was checked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:27:34 UTC) #11
sandersd (OOO until July 31)
The CQ bit was unchecked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:27:35 UTC) #12
sandersd (OOO until July 31)
The CQ bit was checked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:28:33 UTC) #13
sandersd (OOO until July 31)
The CQ bit was unchecked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:28:33 UTC) #14
sandersd (OOO until July 31)
The CQ bit was checked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:28:38 UTC) #15
sandersd (OOO until July 31)
The CQ bit was unchecked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:28:38 UTC) #16
sandersd (OOO until July 31)
The CQ bit was checked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:28:39 UTC) #17
sandersd (OOO until July 31)
The CQ bit was unchecked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:29:02 UTC) #18
sandersd (OOO until July 31)
The CQ bit was checked by sandersd@chromium.org
5 years, 2 months ago (2014-03-19 22:29:45 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sandersd@chromium.org/205093002/20001
5 years, 2 months ago (2014-03-19 22:31:41 UTC) #20
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 2 months ago (2014-03-19 22:35:38 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.chromium on linux_chromium_clang_dbg
5 years, 2 months ago (2014-03-19 22:35:39 UTC) #22
scherkus (not reviewing)
The CQ bit was checked by scherkus@chromium.org
5 years, 2 months ago (2014-03-19 23:54:30 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sandersd@chromium.org/205093002/20001
5 years, 2 months ago (2014-03-19 23:54:43 UTC) #24
commit-bot: I haz the power
5 years, 2 months ago (2014-03-20 06:08:06 UTC) #25
Message was sent while issue was closed.
Change committed as 258215

Powered by Google App Engine
This is Rietveld 408576698